// Classe CMeneur cre par Etienne Forest le 16 septembre 2012
// Cette classe implmente un oiseau migrateur meneur qui drive de COiseau
// Un meneur choisit lui-mme sa direction et la change  tous les 100 dplacements.
#pragma once
#include "Oiseau.h"

const int NbDeplacementsMax = 100; // Aprs ce nombre, on change de direction

class CMeneur : public COiseau
{
	int NbDeplacements_;  
public:
	// Constructeur paramtrique
   CMeneur(Texture& LaTexture, int PosX, int PosY) :COiseau(LaTexture, PosX, PosY) { NbDeplacements_ = 0; }

	// Ici aussi, le pointeur Oiseau est inutile.  Le meneur se dplace dans sa direction et en choisit
	// une nouvelle au hasard  tous les 100 dplacements.
	void SeDeplacer(const COiseau* Oiseau);
	// Retourne toujours vrai.  Implmentation de la mthode virtuelle pure de son parent.
	bool JeSuisUnMeneur() { return true; }
};